

@media only screen and (min-width: 1200px) {
    html {
        font-size: 1vw;
    }
    .menu-button-mobile {
        display: none;
    }

    .preview-bg {
        background: url(../assets/images/grafen2023.png) no-repeat;
        position: absolute;
        max-width: 1496px;
        width: 100%;
        padding-top: 57%;
        margin-top: 30px;
        float: right;
        left: 9%;
        z-index: -2;
        background-size: cover;
    }
}

@media (min-width: 1440px) {
    h3, .h3 {
        font-size: 1rem;
    }
    .role-button {
        font-size: 0.8rem !important;
    }
}

@media only screen and (max-width: 1200px) and (min-width: 993px) {
    html {
        font-size: 1.3vw;
    }

    .menu {
        padding-left: 2rem;
    }

    .menu-button-mobile {
        display: none;
    }

}

@media only screen and (min-width: 993px) {
    .menu
    {
        margin: 0 auto -.2rem;
    }

    .menu_link
    {
        list-style: none;
        gap: 3rem;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        margin-bottom: 0rem;
        padding-left: 0rem;
    }

    .menu_sub
    {
        background: #fff;
        -webkit-box-shadow: 0 30px 10px rgba(39,54,86,.12);
        box-shadow: 0 30px 10px rgba(39,54,86,.12);
        gap: 8.5rem;
        left: 0;
        padding: 4rem 13.4rem 4rem 13rem;
        position: absolute;
        top: 100%;
        width: 100%;
        z-index: 99;
        border-top: .2rem solid #f3f6f8;
    }


    .menu_item a:hover {
        cursor: default;
    }

    .menu-sub-list
    {
        font-size: 1.3rem;
        line-height: 2rem;
        list-style: none;
    }

    .menu-sub-list a:hover
    {
        cursor: default;
        text-decoration: underline;
    }

    .menu-sub-list a
    {
        cursor: default;
        text-decoration: none;
        color: #37346d;
    }

    .header .container {
        padding: 2.7rem 5rem 0 5rem;
    }

}

@media only screen and (max-width: 992px) {
    .menu {
        background: #fff;
        -webkit-box-shadow: 0 30px 10px rgba(39,54,86,.12);
        box-shadow: 0 30px 10px rgba(39,54,86,.12);
        gap: 8.5rem;
        left: 0;
        padding: 1.5rem;
        position: absolute;
        top: 100%;
        width: 100%;
        z-index: 99;
        border-top: .2rem solid #f3f6f8;
        display: none;
    }
    .menu_link
    {
        list-style: none;
        padding: 0;
    }
    .menu-sub-list a
    {
        cursor: default;
        text-decoration: none;
        color: #37346d;
    }


    .li-mobile-menu {
        border-bottom: .2rem solid #f3f6f8;
        font-size: 3vw;
        padding: 1rem 0;
        font-weight: 500;
    }

    .menu_sub {
        line-height: 2.5rem;
        padding-top: .5rem;
        list-style: none;
        border-top: .2rem solid #f3f6f8;
        margin-top: 1rem;
    }

    .header .container {
        padding: 2.7rem 1.5rem 0 1.5rem;
    }

}


@media only screen and (max-width: 992px) {
    .menu-button-mobile
    {
        background: url(../img/icons/menuIcon.jpg) no-repeat 50%;
        background-size: auto;
        background-size: contain;
        border: none;
        display: block;
        height: 2rem;
        position: absolute;
        right: 1.6rem;
        top: 1.3rem;
        width: 2rem;
        z-index: 2;
    }

}

@media only screen and (max-width: 767px) {
    .li-mobile-menu {
        font-size: 3.7vw;
    }
    .news {
        margin-bottom: 2rem;
        width: 100%;
    }
}

@media only screen and (min-width: 767px) {
    .icons_program {
        width: 33%;
    }

    .icon_button_HP {
        left: -0.5rem;
    }

    .news {
        margin-right: 3%;
        width: 29%;
    }

    .news-row {
        display: flex;
        align-items: stretch;
    }

    .preview-bg {
        background: url(../assets/images/grafen2023.png) no-repeat;
        position: absolute;
        max-width: 1496px;
        width: 100%;
        padding-top: 57%;
        margin-top: 30px;
        float: right;
        left: 9%;
        z-index: -2;
        background-size: cover;
    }
}

@media only screen and (max-width: 576px) {
    .li-mobile-menu {
        font-size: 4.5vw;
    }

    .img-logo {
        height: 20vw !important;
    }

    .preview-bg {
        background: url(../assets/images/mobilegrafen2023.png?ver=1) no-repeat 35% 0;
        position: absolute;
        width: 100%;
        height: 100%;
        float: right;
        z-index: -2;
    }
}



body
{
    background: #fff;
    color: #37346d;
    font-family: Montserrat,sans-serif;
    font-size: 1.4rem;
    line-height: 1.36;
    min-width: 320px;
    overflow-x: hidden;
    position: relative;
}



.header .container
{
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: flex-start;
    max-width: 100%;
    position: relative;
    z-index: 99;
    border-bottom: .2rem solid #f3f6f8;
}

.img-logo
{
    height: 6.5rem;
}

.flex
{
    -webkit-box-align: center;
    -ms-flex-align: center;
    -ms-flex-negative: 0;
    align-items: center;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    flex-shrink: 0;
    font-size: 1.1rem;
    line-height: normal;
    text-decoration: none;

}

.img-logo img
{
    height: 100%;
    margin-top: -20px;
}



.menu_buttons
{
    height: 2rem;
    margin-bottom: 1.1rem;
}

.menu_button
{
    background: #eff3fb;
    color: #37346d;
    padding: 7px;
    border-radius: 7px;
    text-decoration: none;
}





.slider-container {
    width: 100%;
    overflow: hidden;
}

.slider {
    display: flex;
    transition: transform 0.5s ease-in-out;
}

.slide {
    min-width: 100%;
    box-sizing: border-box;
    height: 30rem;
}

.slide img {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.slide-img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    position: absolute;

}

.slide-img-gradient {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(25deg, rgba(4, 6, 79, 0.7), rgba(50, 15, 116, 0.7), rgba(93, 21, 152, 0.7), rgba(141, 21, 186, 0.7), rgba(193, 7, 218, 0.7));
    /* Дополнительные стили */
    pointer-events: none; /* This ensures that the gradient does not interfere with mouse events */
    z-index: 1; /* Ensure the gradient is above the image */
    opacity: 0;
    transition: opacity 0.3s ease; /* Smooth transition for opacity changes */
}


.slide-text {
    padding: 2rem;
    position: relative;
}

.slide-text-a{
    color: #ffffff;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
    font-weight: 700;
    z-index: 3;
    position: relative;
    opacity: 0;
    transition: opacity 0.3s ease; /* Smooth transition for opacity changes */
}

.slide-text h1 {
    color: #ffffff;
    font-weight: 700;
    text-transform: uppercase;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);

}

.slide-text h2 {
    color: #ffffff;
    font-weight: 700;
    text-transform: uppercase;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);

}

.slide-text h3 {
    color: #ffffff;
    font-weight: 500;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);

}


.a-href-slider {
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 2;
}

.icons_program
{
        border: 3px solid transparent;
        box-sizing: border-box;
        text-decoration: none;
        display: inline-block;
        color: #000;
}

.icons_program img
{
    width: 100%;
    border-radius: 15px;

}


.icon_button_HP
{
    margin: 0 auto;
    position: relative;
    margin-bottom: 2rem;
    margin-top: 2rem;
}

.news-h1
{
    margin-top: 5rem;
}

.news-h1-line
{
    background: #f6aa32;
    border-radius: 0.3rem;
    content: "";
    height: 0.4rem;
    position: relative;
    width: 8rem;
    margin-left: 1rem;
    margin-bottom: 5rem;
}


.news-header
{
    border-radius: .8rem .8rem 0 0;
    margin: -.2rem -.2rem 0;
    overflow: hidden;
    padding-bottom: 67.2%;
    position: relative;
}

.news-header img
{
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
}

.news
{
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    border: .2rem solid #f3f6f8;
    border-radius: .8rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    display: inline-block;
    flex: 1;
}

.slider {
    display: flex;
    transition: transform 0.3s ease;
}


.news-title
{
    padding: 2rem 1.8rem 1.6rem;
    display: block;
    font-size: 1.1rem;
    font-weight: 600;
    line-height: normal;
    text-decoration: none;

}

.news-date
{
    padding: 0rem 1.8rem 0rem;
    display: block;
    font-size: 1.1rem;
    font-weight: 300;
    line-height: normal;
    text-decoration: none;
    padding-bottom: 3rem;
    text-align: right;
}

.news-row
{
    margin-bottom: 3rem;
}

.mr5
{
    margin-right: 3%;
}

.news-title a
{
    text-decoration: none;
    color: #37346d;
}

.news-title a:hover
{
    text-decoration: underline;
}

.container-form {
    position: relative;
    margin: 0 auto;
    padding: 0 16px;
    min-width: 320px;
    max-width: 416px;
}

/* Добавляем медиазапрос для больших экранов */
@media (min-width: 1440px) {
    .container-form {
        max-width: 600px;
    }
}

@media (min-width: 1920px) {
    .container-form {
        max-width: 720px;
    }
}

.container-form {
    font-size: 16px !important; /* фиксируем текст */
}


.container-form-p {
    background-color: #ffffff;
    border: .2rem solid #f3f6f8;
    border-radius: .8rem;
    padding: 3rem 2rem 3rem;
}


.inlineblock {
    display: inline-block;
}

.w70 {
    width: 66%;
    margin-right: 1%;
}
.w30 {
    width: 30%;
}


.img-logo-form {
    display: block;
    margin-bottom: 3rem;
}

.img-logo-form img
{
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.form-floating {
    font-size: 1rem;
}

.form-floating2 {
    padding-right: 2rem;
}



.btn-form {
    background-color: #4A1288;
    color: #fff;
    padding: 16px;
    font-size: 1rem;
    width: 100%;
    margin-top: 3rem;
    border-radius: .5rem;
    border: none;
}

.btn-form:hover {
    background-color: #6C24BB;
}

.btn-back {
    border: .3rem solid #eff2fb;
    border-radius: .5rem;
    width: 50px;
    background-color: #ffffff;
    line-height: 1rem;
    left: -8px;
    position: absolute;
    top: 75px;
}

.arrow-form {
    margin: 0 auto;
    left: 0px;
    right: 0px;
    position: relative;
    font-size: 30px !important;
    color: #37346d;
}

.w100 {
    width: 100%;
}

.newsnav {
    color: #929bad;
    font-size: 1.1rem;
}

.newsnav span {
    color: #37346d;
    vertical-align: middle;
}

.newsnav a {
    text-decoration: none;
    color: #929bad;
}

.page {
    padding-top: 3rem;
}

.news-container {
    padding-top: 3rem;
    max-width: 60rem;
}

.news-container h2 {
    font-weight: 600;
}

.news-container-content {
    font-size: 1.2rem;
    padding-top: 3rem;
}


#scrolling-container {
    width: 100%; /* Ширина контейнера, который вы хотите прокручивать */
    height: 100px; /* Высота контейнера, который вы хотите прокручивать */
    overflow: hidden; /* Скрытие горизонтального и вертикального скролла */
}

#scrolling-content {
    white-space: nowrap; /* Предотвращение переноса слов */
    display: inline-block; /* Обеспечение горизонтального выравнивания элементов */
}

.button-li {
    cursor: default;
    text-decoration: none;
    color: #37346d;
    font-size: 1.4rem;
    line-height: 2rem;
    border: none;
    background-color: #fff;
    font-weight: 500;
    width: 100%;
    text-align: left;
}

.news-cont {
    width: 100%;

    padding: 1rem;
    margin-bottom: .5rem;
    border-radius: 1rem;
    display: flex;
    border: .2rem solid #f3f6f8;
}

.img-news {
    width: 15rem;
    height: 10rem;
}

.img-news img {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    border-radius: .5rem;
}

.img-news-vert {
    width: 11.25rem;
    height: 15rem;
}

.img-news-vert img {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    border-radius: .5rem;
}

.info-news {
    width: calc(100% - 15rem);
    padding-left: 1rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

}

.admin-button {
    position: relative;
    display: flex;
    align-items: center;
    -moz-column-gap: .625rem;
    column-gap: .625rem;
    border-radius: .5rem;
    padding: .5rem 1rem;
    font-size: 1rem;
    line-height: 1.5em;
    font-weight: 400;
    --tw-text-opacity: 1;
    color: #fff;
    background-color: #37346d;
    border: #37346d;
    outline: 2px solid transparent;
    outline-offset: 2px;
    flex-grow: 0;
    margin-right: 1rem;
    text-decoration: none;
    transition-duration: .35s;
    margin-bottom: .5rem;
    margin-top: 1rem;
}

.admin-button:hover {
    background-color: #26263e;
    color: #c03a69;
}


.prepod-cont {
    width: 100%;
    margin-bottom: .5rem;
    border-radius: 1rem;
    display: flex;
    border: .2rem solid #f3f6f8;
}

.news-inner-button {
    position: relative;
    display: flex;
    align-items: center;
    -moz-column-gap: .625rem;
    column-gap: .625rem;
    border-radius: .5rem;
    padding: .5rem 1rem;
    font-size: 1rem;
    line-height: 1.5em;
    font-weight: 400;
    --tw-text-opacity: 1;
    color: #fff;
    background-color: #37346d;
    border: #37346d;
    outline: 2px solid transparent;
    outline-offset: 2px;
    flex-grow: 0;
    margin-right: 1rem;
    text-decoration: none;
    transition-duration: .35s;
    width: 10rem;
}


.professor-button {
    position: relative;
    display: flex;
    align-items: center;
    -moz-column-gap: .625rem;
    column-gap: .625rem;
    border-radius: .5rem;
    padding: .5rem 1rem;
    font-size: 1rem;
    line-height: 1.5em;
    font-weight: 400;
    --tw-text-opacity: 1;
    color: #fff;
    background-color: #37346d;
    border: #37346d;
    outline: 2px solid transparent;
    outline-offset: 2px;
    flex-grow: 0;
    margin-right: 1rem;
    margin-left: auto; /* Добавляем эту строку для выравнивания по правому краю */
    text-decoration: none;
    transition-duration: .35s;
    width: 10rem;
}

.news-inner-button:hover {
    background-color: #37346d;
    color: #c0beff;
}


.img-prepod-vert {
    width: 13.125rem;
    height: 17.5rem;
}

.img-prepod-vert img {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    border-radius: .5rem;
}

.input-tel {
    height: calc(3.5rem + calc(var(--bs-border-width) * 2));
    min-height: calc(3.5rem + calc(var(--bs-border-width) * 2));
}

.iti {
    display: block !important;
}

.btn-create-report {
    width: 15rem;
    margin: 0 auto;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
}
